package com.fos.modules.tableView.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

import java.util.List;

/**
 * Created by Tony on 2016/10/11.
 */
public class TableViewFoodEntity extends BaseEntity {

    @JSONField(serialize = false)
    private int foodId;

    @JSONField(serialize = false)
    private int orderFoodId;

    @JSONField(name = "foodName")
    private String foodName;       //菜品名称

    @JSONField(name = "foodNum")
    private String foodNum;        //菜品数量

    @JSONField(name = "preList")
    private List<TableViewPreEntity> preList;       //订单信息

    public String getFoodName() {
        return foodName;
    }

    public void setFoodName(String foodName) {
        this.foodName = foodName;
    }

    public String getFoodNum() {
        return foodNum;
    }

    public void setFoodNum(String foodNum) {
        this.foodNum = foodNum;
    }

    public List<TableViewPreEntity> getPreList() {
        return preList;
    }

    public void setPreList(List<TableViewPreEntity> preList) {
        this.preList = preList;
    }

    public int getFoodId() {
        return foodId;
    }

    public void setFoodId(int foodId) {
        this.foodId = foodId;
    }

    public int getOrderFoodId() {
        return orderFoodId;
    }

    public void setOrderFoodId(int orderFoodId) {
        this.orderFoodId = orderFoodId;
    }
}
